/* BYDATE.H - Framework header file */

#ifndef TRUE
#define TRUE       1
#endif

#ifndef FALSE
#define FALSE      0
#endif

#define FLAGCNT    5

#define HELP       0    /* -?                help                    */
#define DEBUG      1    /* -d                debug mode              */
#define PATTERN    2    /* -p=pattern        set output file pattern */
#define TEST       3    /* -t                set testing mode        */
#define FILENAMES  4    /* -z=file of names  <names on STDIN>        */

#define MAYBEMARK  '%'
#define BADMARK    '!'
#define OK         ' '
#define OPTLIST    "?dp:tz%"
  
void changeback(char *dir, char *original, int debug);
void changeto(char *dir, int debug);
char *dupstring(char *s);
int  readargs(int argc,
              char *argv[],
              int flags[],
              char **pattern,
              char **files);
